Bug 6395 - GUI installer uses LCD in docked laptop
GUI installer uses LCD in docked laptop
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Preston Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 1999-10-26 17:24 EDT by kilpatds
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-14 15:46:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kilpatds 1999-10-26 17:24:08 EDT
When trying to use the GUI installer in a docked Dell
Latitude CPiA (Neomagic display driver), X11 started and the
monitor went blank (no signal).

I believe that X went to the LCD, which was not visible as
the laptop was docked.

With the Neomagic driver, there are options "intern_disp"
and "extern_disp" that according to the XFree documentation
will direct the signal.  Also according to the documentation
they can be used together to send the signal to both

If the default X server used for the install would just turn
both those options on by default it might be possible to use
the GUI installer without knowing or caring if the laptop is
docked.  I suspect that this approach could help other
laptop users...
Comment 1 Jay Turner 1999-11-30 14:25:59 EST
This issue has been assigned to a developer for further action.
Comment 2 Jay Turner 2000-02-21 16:45:59 EST
Added to features request list.
Comment 3 Michael Fulbright 2000-09-19 18:58:14 EDT
Xconfigurator rewrite issue.
Comment 4 Trond Eivind Glomsrxd 2000-09-26 17:44:32 EDT
Most laptops I've seen have this user configurable on the laptop, often with hot
Comment 5 kilpatds 2000-11-14 15:46:51 EST
Me: "Let me show you how cool this linux thing is... Just pop in the CDROM and
Boot off of CD.  See nice text flash by.  See screen go completely blank.
Insert several second pause while I figure out what happened, then remember that
with this particular laptop you have to hit <Scroll-lock>F8 from the external
keyboard (Marked only on the laptop's builtin keyboard, which is now hidden). 
Realize when this doesn't work that IT had turned off that feature for reasons

Them: "Man, this linux thing is totally busted!"

On a different subject, the extern_disp and intern_disp options don't seem to
work together for me w/ XFree 4.
Comment 6 Preston Brown 2001-01-29 13:47:00 EST
try version 4.6.4 or later from RawHide, I have enabled these options by

Note You need to log in before you can comment on or make changes to this bug.